Part Torus: Difference between revisions

From FreeCAD Documentation
mNo edit summary
m (Insert Property section.)
Line 46: Line 46:
A Part Torus object with the values of the bottom scripting example are shown here.
A Part Torus object with the values of the bottom scripting example are shown here.


== Option == <!--T:6-->
== Properties == <!--T:11-->


See also: [[Property_editor|Property editor]].
<!--T:16-->
[[File:TorusExampleOverviewParameters.jpg]]


A Part Torus object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
<!--T:7-->
'''Parameter'''

<!--T:8-->
A torus can be assimilated to a small disc that makes a circular orbit around an imaginary axe. Thus the parametric torus is defined by the following parameters:


{{TitleProperty|Torus}}
{{TitleProperty|Torus}}
Line 65: Line 60:
* {{PropertyData|Angle2|Angle}}: 2nd angle to cut / define the disc of the torus
* {{PropertyData|Angle2|Angle}}: 2nd angle to cut / define the disc of the torus
* {{PropertyData|Angle3|Angle}}: 3rd angle to define the circumference of the torus.
* {{PropertyData|Angle3|Angle}}: 3rd angle to define the circumference of the torus.

== Option == <!--T:6-->

<!--T:16-->
[[File:TorusExampleOverviewParameters.jpg]]

<!--T:7-->
'''Parameter'''

<!--T:8-->
A torus can be assimilated to a small disc that makes a circular orbit around an imaginary axe. Thus the parametric torus is defined by the following parameters:


<!--T:10-->
<!--T:10-->

Revision as of 06:38, 20 February 2022

Part Torus

Menu location
Part → Primitives → Torus
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Torus command creates a parametric torus solid.

FreeCAD creates a torus, with a radius 1 of 2 millimetre and a radius 2 of 10 millimetre.

By default, the torus is positioned with its mass center at the origin (0,0,0).

Usage

  1. There are several ways to invoke the command:
    • Press the Torus button.
    • Select the Part → Primitives → Torus option from the menu.

Example

Part Torus scripting example.

A Part Torus object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Torus

  • DataRadius1 (Length): Radius of the circle around which the disc circulate
  • DataRadius2 (Length): Radius of the disc defining the form of the torus
  • DataAngle1 (Angle): 1st angle to cut / define the disc of the torus
  • DataAngle2 (Angle): 2nd angle to cut / define the disc of the torus
  • DataAngle3 (Angle): 3rd angle to define the circumference of the torus.

Option

Parameter

A torus can be assimilated to a small disc that makes a circular orbit around an imaginary axe. Thus the parametric torus is defined by the following parameters:

As well as the standard set of placement parameters. The pictures below give a visual overview of the parameters antecedently mentioned:

The parameter Radius1 has a value of 20 mm.

The parameter Radius2 has a value of 2 mm.

The parameter Angle1 has a value of -90°. Notice that, the 'angle measure' tool cannot display negative angle. Considered the displayed value in picture as '-90°'.

The parameter Angle2 has a value of 90°.

The parameter Angle3 has a value of 90°.

Scripting

A Part Torus can be created using the following function:

torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
  • Where myTorus is the user editable name for the object.
  • The function returns the newly created object.

The label text of the object can be easily changed by

torus.Label = "new myTorusName"

You can access and modify attributes of the torus object. For example, you may wish to modify the radii or angle parameters.

torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270

The result will be a three-quarter torus.

You can change its placement and orientation with:

torus.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(30, 45, 10))